openSUSE Tumbleweed - Revisão das semanas 28 e 29 de 2017


Uma nova revisão do que aconteceu nas semanas 28 e 29 de 2017 no openSUSE Tumbleweed a versão “rolling release” de atualização contínua da distribuição de GNU/Linux openSUSE.

O anúncio original você pode ler no blog de Dominique Leuenberger, no link abaixo:
http://dominique.leuenberger.net/blog/2017/07/review-of-the-week-201728-29/

Como você certamente percebeu, nós não tivemos um instantâneo há muito tempo (na verdade, 0712 é atualmente o último lançamento). Desde a última revisão de duas semanas atrás, houve 5 instantâneos lançados (0707, 0708, 0709, 0710 e 0712) bem, vamos nos concentrar no que esses instantâneos entregaram, então vou tentar fornecer algumas informações sobre o porquê nós paramos por 10 dias agora.
  • Qt 5.9.1;
  • Libzypp: dup padrão agora para -allow-no-vendor-change;
  • Qine 2.12;
  • Mesa 17.1.4;
  • NetworkManager 1.8.2;
  • Todas os pontos sobre as quais o YaST Team está blogando.

Com o instantâneo 0712, fui abordado pela SUSE internamente por uma pequena "interrupção", já que a SLE15 não acompanhava a construção da infra-estrutura ligada (principalmente devido a construção de arcos mais lentos do que x86_64, como aarch64 e s390x). Então, basicamente, concedi-lhes o fim de semana até 17 de julho, quando a infra-estrutura interna estava realmente pronta e queríamos retomar os instantâneos do Tumbleweed. Claro, nós estávamos trabalhando muito nas áreas de preparação e estavam prontos para algumas mudanças maciças na segunda-feira (para o instantâneo 0717)

Entre as coisas interessantes havia:

  • Kernel do Linux 4.12;
  • Ruby 2.4 como padrão, com ruby ​​2.2 e ruby ​​2.3 sendo removidos dos repositórios.

Acontece que um dos nossos robôs cometeu um erro e a remoção do ruby ​​2.2 teria interrompido os nossos usuários: o bot não marcou a remoção do ruby ​​2.2 no produto e, como conseqüência, o ruby ​​2.4 que mudou para ser padrão teria entrado em conflito com o pacote antigo ruby ​​2.2. Nada que desejássemos ver enviado aos nossos usuários. Uma vez que o bot foi corrigido, tivemos um novo instantâneo, 0719. Os problemas vistos com a migração ruby ​​foram todos, mas agora o kernel 4.12 começou a mostrar seu rosto: uma instalação executada em uma configuração RAID10 simplesmente começou a bloquear. Claro, a equipe do kernel está olhando para isso e assim que um patch estiver pronto, iremos enviar 4.12. Até então, e para desbloquear Tumbleweed, voltamos para o kernel 4.11.8 (o já enviado em 0712). Isso está construindo atualmente - mas ainda não ouso fazer uma declaração se isso for lançado ou não. O tempo (e o OpenQA) indicarão.

Em qualquer caso, o trabalho ainda está se move em paralelo também, e também estamos preparando essas atualizações:
 
  • Mozilla Firefox 52.2.1esr
  • Aplicações do KDE 17.04.3
  • Libreoffice5.4.02, com recursos on-line do google, habilitado
  • Linux kernel 4.12.x, que não irá bloquear configurações RAID10

Se você tiver atualizações que deseja ver em Tumbleweed (ou pacotes novos), não seja tímido, fale e ajude com o trabalho de empacotamento.

Com todas essas coisas agradáveis: tenha um ótimo fim de semana, divirta-se muito com o sistema de Tumbleweed atualizado.

https://build.opensuse.org/project/staging_projects/openSUSE:Factory
 
As ISO’s são instáveis, porém se você já utiliza openSUSE Tumbleweed em seu equipamento, simplesmente deverá atualizá-lo mediante o comando “zypper up” assim seu sistema receberá as atualizações.Para realizar o download acesse o link abaixo:

https://en.opensuse.org/openSUSE:Tumbleweed_installation
 
Mantenha-se atualizado e você sabe: Divirta-se!